<template>
  <main>
    <div class="h1-container">
      <h1 class="h1-with-line">Алгебра</h1>
      <div class="h1-line"></div>
      <div class="clear"></div>
    </div>
    <div class="task-add-to-favorite flex-parent flex-end ">
      <a @click="$modal.show('namebooks-modal')">Не нашли свою книгу? Сообщите нам, мы добавим. </a>

    </div>
    <div class="books flex-parent flex-space-between">

       <router-link :to="{name:'Sections', params:{id: book.id}}" class="book-name flex-parent" v-for="book in books" :key="book.id">
         <div class="book" :style="{'background-image':  'url('+book.image+')'}"></div>
         <div class="name">{{book.name}}</div>
       </router-link>




    </div>
  </main>
</template>

<script>
export default {
  name: 'Books',
  props: ['id'],
  beforeMount() {
    this.$store.dispatch('loadBooks', this.id)
  },
  computed:{
    books(){
      return this.$store.getters.books
    }
  }
}
</script>
